Subject: bug#76132: Clojure-style auto-gensyms for macros

From: Tassilo Horn <[email-masked]>
Date: Sun, 09 Feb 2025 09:32:54 +0100

Ship Mints <[email-masked]> writes:

> I prefer a hat ^ prefix as it is easier to read, rather than a dollar
> $ suffix which seems muddled to my eye.

I don't mind what character to use (the macro could even take it as an
argument) but I'd prefer using a suffix simply because there's already
the special prefix _ indicating to the byte-compiler that this variable
is not used intentionally.  You might want to use that capability when
your macro expands to a function which needs to have a certain signature
but your implementation doesn't use all arguments, for example.

Bye,
Tassilo